<?php
define('SF_ROOT_DIR', realpath(realpath('./../')));
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'functions'.DIRECTORY_SEPARATOR.'mensajes.php');

/*
1046
1045

admin sucursal
admin.sjl
villaelsalvador

1 ro 1068
mdificar pago 
renovacion
ga olvido
admin.general modifica 10 gasto administrativo falta
*/
header("Content-type: application/json; charset=utf-8");
if(1) {
    //if ($_GET['token'] = 'lpsk.21568$lsjANPIO02') {
    if (1) {
        listaEstadoCivil();
    }else{
        print json_encode(array(
            "estado" => 30,
            "mensaje" => "Acceso no autorizado"
        ));
    }
}else{
    print json_encode(array(
        "estado" => 30,
        "mensaje" => "Acceso no autorizado"
    ));
}



//metodo 
function listaEstadoCivil(){
        
		$con = Conexion::getConexion();
	    
	  	
	    
		
        if(!$con) {
            printf("Fallola conexion: %s\n", $mysqli->connect_error);
            exit();

        }else{
            //$mysqli->set_charset("utf8");

            $sql = "select	IdTipoNegocio, Descripcion
					from	cr_tipo_negocio
					where   estado = 'A'  AND eliminado = '0'
					order   by Descripcion asc  ";

            //echo 'SQL: <BR>'.$sql;
            
            //echo "-->".Conexion::getNameDb();
            mysql_query("SET character_set_results=utf8", $con);

            $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
           // echo "-->".$result;
            if(isset($result)){
				$num_rows = mysql_num_rows($result);
                if($num_rows > 0){
                    
                    while ($o_valor = mysql_fetch_object($result)) {
                        $matriz[$o_valor->IdTipoNegocio] = $o_valor->Descripcion;
                    }
                }
                
                if(isset($matriz) && is_array($matriz) && count($matriz) > 0){
                    $datos = '';
                    
                    $i = 1;
                    while(list($key, $value) = each($matriz)){
                        
                        $matrix[$i]['id'] = $key;
                        $matrix[$i]['descripcion'] = $value;
                        $i++;
                    }

                    $datos['estado'] = '1';
                    $datos['tipos_negocio'] = $matrix;
                    //print_r($datos);
                    print json_encode($datos, JSON_UNESCAPED_UNICODE);
                }
            }else{
                print json_encode(array(
                    "estado" => 2,
                    "mensaje" => "Ha ocurrido un error"
                ));

            }
        }
    }
?>
